package com.shkj.wms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shkj.common.core.domain.Result;
import com.shkj.wms.bo.BillTaskAddbo;
import com.shkj.wms.bo.BusinTaskExeBo;
import com.shkj.wms.bo.MachineHandAddBo;
import com.shkj.wms.domain.BasePointDevice;

/**
 * 出入库相关逻辑
 *
 * @author zjx
 * @date 2023-05-10
 */
public interface IPutInOutStorageService extends IService<BasePointDevice> {

    /** 自动入库*/
    public Result<Long > saveBusinBillTaskData(MachineHandAddBo bo);

    /**
     * 堆垛机入库完成后，增加库存
     */
    public Result<Boolean> productDeposit(Long taskCode);


    public Result<String > exeTaskPutinStorage(BusinTaskExeBo bo);

    public  Result<Boolean>  saveBillTaskIn(BillTaskAddbo billTaskAddbo);
}
